import * as dotenv from 'dotenv';

const mariadb = require('mariadb');

dotenv.config();

export namespace RaPlaChangesDB {
    const pool = mariadb.createPool({
        host: process.env.DB_HOST,
        user: process.env.DB_USER,
        password: process.env.DB_PASSWORD,
        database: process.env.RAPLACHANGES_DATABASE,
        connectionLimit: 5
    });

    export function getConnection() {
        return pool;
    }
}
